Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598979 - febootstrap-supermin-helper should ignore hidden files, backup files in supermin.d directory
Summary: febootstrap-supermin-helper should ignore hidden files, backup files in super...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: febootstrap
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-02 13:28 UTC by Richard W.M. Jones
Modified: 2010-09-03 07:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-03 07:25:34 UTC


Attachments (Terms of Use)

Description Richard W.M. Jones 2010-06-02 13:28:12 UTC
Description of problem:

If you edit appliance/supermin.d/hostfiles by hand, and if this leaves
a backup file, then febootstrap-supermin-helper will read the backup
file, thus creating an extra large initramfs.  The helper program should
ignore dot files and backup files like '.*' and '*~' and others.

Version-Release number of selected component (if applicable):

febootstrap 2.7

Comment 1 Bug Zapper 2010-07-30 11:47:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Richard W.M. Jones 2010-09-03 07:25:34 UTC
Hidden files were already ignored.

febootstrap 2.9 now also ignores backup files.

http://git.annexia.org/?p=febootstrap.git;a=commitdiff;h=7d7d6e5814475dc4f97f9af8965462c8865e1ae1


Note You need to log in before you can comment on or make changes to this bug.